> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a bulk order configuration

> Bulk card orders can be configured to ship cards in bulk.

In order to create a bulk order the associated card product needs to be configured for bulk issuance (Refer to Card Product `bulk_shipping_enabled`). 
Once a Card Product is configured a bulk order can be created. 

Cards are dynamically added to the bulk order using the `bulk_order_config_id` (Refer to Issue Card `bulk_order_config_id`) 
and will be shipped based on the `bulk_issuance_policy`. 

Bulk orders configured with `AUTO` will be fulfilled daily at 9:30PM PST, all cards that have been added to the bulk order prior to the cutoff 
will be shipped in the next bulk order, any subsequent cards will be added to the next days order. Bulk orders configured with `MANUAL` 
will be shipped when an integrator sends a fulfillment request (Refer to Bulk Issuance Fulfill).




## OpenAPI

````yaml openapi-v1.json post /cards/bulk_issuance
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /cards/bulk_issuance:
    summary: Bulk Issuance
    description: |
      The bulk order object represents configuration for bulk issuance.
    post:
      tags:
        - Bulk Issuance
      summary: Create a bulk order configuration
      description: >
        Bulk card orders can be configured to ship cards in bulk.


        In order to create a bulk order the associated card product needs to be
        configured for bulk issuance (Refer to Card Product
        `bulk_shipping_enabled`). 

        Once a Card Product is configured a bulk order can be created. 


        Cards are dynamically added to the bulk order using the
        `bulk_order_config_id` (Refer to Issue Card `bulk_order_config_id`) 

        and will be shipped based on the `bulk_issuance_policy`. 


        Bulk orders configured with `AUTO` will be fulfilled daily at 9:30PM
        PST, all cards that have been added to the bulk order prior to the
        cutoff 

        will be shipped in the next bulk order, any subsequent cards will be
        added to the next days order. Bulk orders configured with `MANUAL` 

        will be shipped when an integrator sends a fulfillment request (Refer to
        Bulk Issuance Fulfill).
      operationId: createBulkOrderConfig
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/bulk_issuance_request'
        description: Bulk issuance configuration
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bulk_issuance_response'
          description: Bulk order configuration created
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    bulk_issuance_request:
      properties:
        bulk_issuance_policy:
          $ref: '#/components/schemas/bulk_issuance_policy'
        card_product_id:
          $ref: '#/components/schemas/card_product_id'
        name:
          $ref: '#/components/schemas/bulk_order_config_name'
        shipping:
          $ref: '#/components/schemas/bulk_shipping'
      required:
        - bulk_issuance_policy
        - card_product_id
        - name
        - shipping
      type: object
    bulk_issuance_response:
      properties:
        bulk_issuance_policy:
          $ref: '#/components/schemas/bulk_issuance_policy'
        card_product_id:
          $ref: '#/components/schemas/card_product_id'
        creation_time:
          description: The timestamp representing when the bulk order config was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        id:
          $ref: '#/components/schemas/bulk_order_config_id'
        name:
          $ref: '#/components/schemas/bulk_order_config_name'
        shipping:
          $ref: '#/components/schemas/bulk_shipping'
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - bulk_issuance_policy
        - card_product_id
        - id
        - name
        - shipping
        - tenant
      type: object
    bulk_issuance_policy:
      default: AUTO
      description: >
        Issuance for bulk orders with respect to when the order is shipped.


        Policy              | Description

        ------------------- | -----------

        AUTO                | Bulk orders will be fulfilled at the daily cutoff
        time 09:00 UTC (default).

        MANUAL              | Bulk orders will be shipped when requested.
      enum:
        - AUTO
        - MANUAL
      type: string
    card_product_id:
      description: The unique identifier of a cards product
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    bulk_order_config_name:
      description: Name associated with the bulk order configuration.
      example: Bulk Shipping to US Office
      type: string
    bulk_shipping:
      description: Details about the shipping method for bulk issuance.
      properties:
        address:
          allOf:
            - $ref: '#/components/schemas/address'
          description: The address to which the bulk order will be shipped.
        business_name:
          description: The name of the business which the bulk order will be shipped
          type: string
        is_expedited_fulfillment:
          $ref: '#/components/schemas/expedited_fulfillment'
        method:
          $ref: '#/components/schemas/bulk_shipping_method'
        phone_number:
          $ref: '#/components/schemas/phone_number'
        recipient_name:
          allOf:
            - $ref: '#/components/schemas/recipient_name'
          description: The name of the recipient to whom the bulk order will be shipped
      required:
        - address
        - method
        - recipient_name
      type: object
    bulk_order_config_id:
      description: The unique identifier of a bulk order configuration
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    address:
      properties:
        address_line_1:
          description: Street address line 1
          example: 100 Main St.
          maxLength: 100
          type: string
        address_line_2:
          description: Street address line 2
          example: Suite 99
          maxLength: 100
          type: string
        city:
          description: City
          example: New York
          type: string
        country_code:
          description: ISO-3166-1 Alpha-2 country code
          example: US
          pattern: ^[A-Z]{2}$
          type: string
        postal_code:
          description: Postal code
          example: '49633'
          type: string
        state:
          description: >
            State, region, province, or prefecture.

            This is the ISO-3166-2 subdivision code, excluding the country
            prefix.

            For example, TX for Texas USA or TAM for Tamaulipas Mexico.

            Its length varies by country, e.g. 2 characters for US, 3 for MX.
          example: NY
          type: string
      required:
        - address_line_1
        - city
        - country_code
        - postal_code
        - state
      type: object
    expedited_fulfillment:
      deprecated: true
      description: Is the shipment expedited
      type: boolean
    bulk_shipping_method:
      default: TWO_DAY
      description: >
        The shipping method.

        * `INTERNATIONAL_GROUND` is only available for addresses in Canada and
        Mexico.
      enum:
        - INTERNATIONAL
        - INTERNATIONAL_GROUND
        - INTERNATIONAL_PRIORITY
        - LOCAL_PRIORITY
        - OVERNIGHT
        - TWO_DAY
      example: TWO_DAY
      type: string
    phone_number:
      description: The phone number of the recipient
      example: '+14374570680'
      pattern: ^\+[1-9]\d{1,14}$
      type: string
    recipient_name:
      properties:
        first_name:
          example: Jane
          maxLength: 30
          type: string
        last_name:
          example: Smith
          maxLength: 30
          type: string
        middle_name:
          example: Anne
          maxLength: 30
          type: string
      required:
        - first_name
        - last_name
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````